// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import CustomerReviewList, { defaultStyles } from './'
import data from '../../sample-data/customer-reviews.yml'

storiesOf('CustomerReviewList', module)
  .add('default', () => (
    <CustomerReviewList
      className="pa2 flex flex-wrap"
      data={data}
      theme={defaultStyles}
    />
  ))
