'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.defaultStyles = undefined;

var _extends = Object.assign || function (target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i]; for (var key in source) { if (Object.prototype.hasOwnProperty.call(source, key)) { target[key] = source[key]; } } } return target; };

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactCssThemr = require('react-css-themr');

var _Hero = require('../Hero');

var _Hero2 = _interopRequireDefault(_Hero);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _objectWithoutProperties(obj, keys) { var target = {}; for (var i in obj) { if (keys.indexOf(i) >= 0) continue; if (!Object.prototype.hasOwnProperty.call(obj, i)) continue; target[i] = obj[i]; } return target; }

var defaultStyles = exports.defaultStyles = {
  root: 'vh-100 h-auto-ns aspect-ratio--4x3-m aspect-ratio--16x9-l',
  container: 'ph3 ph4-ns bg-black-40 flex items-center',
  wrapper: 'white-80 pa3 tc',
  title: 'f3 f2-ns fw6 mb3 ttu',
  subtitle: 'f4 f3-m f2-l center mb4 ph3'
};

var HeroWithAction = function HeroWithAction(_ref) {
  var title = _ref.title,
      subtitle = _ref.subtitle,
      action = _ref.action,
      theme = _ref.theme,
      props = _objectWithoutProperties(_ref, ['title', 'subtitle', 'action', 'theme']);

  return _react2.default.createElement(
    _Hero2.default,
    _extends({}, props, {
      'data-component': 'HeroWithAction',
      theme: theme
    }),
    _react2.default.createElement(
      'div',
      { className: theme.wrapper },
      _react2.default.createElement(
        'h1',
        { className: theme.title },
        title
      ),
      _react2.default.createElement(
        'div',
        { className: theme.subtitle },
        subtitle
      ),
      action
    )
  );
};

HeroWithAction.defaultProps = {
  children: null,
  className: null,
  image: null,
  video: null,
  action: null
};

exports.default = (0, _reactCssThemr.themr)('HeroWithAction', {}, { composeTheme: 'softly' })(HeroWithAction);