// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import Wrapper from 'components/Wrapper'
import Button from './'

const theme = {
  // root: '-bg-aqua pa2 ba b--light-gray br2 outline-0',
}

storiesOf('Button', module)
  .add('default', () => (
    <div>
      <Wrapper title="Normal">
        <Button theme={theme}>Hello</Button>
      </Wrapper>
      <Wrapper title="Disable">
        <Button theme={theme} disabled>Disabled</Button>
      </Wrapper>
    </div>
  ))
