// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import FlipCard from './'

const item = {
  title: 'Hello',
  description: 'This is my first React component',
}

const theme = {
  body: 'bg-yellow',
}

storiesOf('Flip Card', module)
  .add('default', () => (
    <FlipCard className="pa2" item={item} theme={theme} />
  ))
