// @flow

import React from 'react'
import { storiesOf } from '@kadira/storybook'
import SocialShare from './'

const props = {
  useColor: true,
  email: true,
  facebook: true,
  googlePlus: true,
  linkedIn: true,
  pinterest: true,
  reddit: true,
  tumblr: true,
  twitter: true,
  whatsApp: true,
  xing: true,
}
storiesOf('Social Share Toolbar', module)
  .add('default', () => (
    <SocialShare
      url="https://connected.com.vn"
      className="pa2"
      {...props}
    />
  ))
  .add('overight styles', () => (
    <SocialShare
      url="https://connected.com.vn"
      className="pa2"
      theme={{
        icon: 'is-large',
      }}
      {...props}
    />
  ))
